Description: If you print a personal exam per student, then why not also print name and 'scannable' student id on the 

answer sheets.
You can use the same csv file format to import the data as which you use in the scoring.
The id could be formatted like tie exam id, in binary format.
We for instance use decimal 7 digits which will fit into a 24 bit string (2**24 = 16.777.216).
That way a student id will only take one line in stead of ten.
If student id and name are also printed in human readable form, you always have a fall back.

By the way, I am interested to help. Have skills in latex, perl, java  and teach software engineering at Fontys 
Hogescholen, a polytechnic in Venlo, The Netherlands.

History
03/27/2012 10:01 pm - Alexis Bienvenüe
In my use of AMC, the students can seat anywhere for the exams. So it is quite difficult (or time consuming) to give them the right answer sheet if the 
answer sheets have the students names on them. That's why I use association from students given data (either from @AMCcode@ or from written 
names in the @\namefield@).

If you need personal answer sheets with for example the student names somewhere, in my opinion, it is not necessary to make these names OMR 
aware since the sheet IDs are already recognized by AMC, and are different from one sheet to the other. So the point is
# print the students names on each sheet. Perhaps one can use something like the @csvsimple@ LaTeX package to do the job? Perhaps add to the 
@automultiplechoice@ LaTeX package some commands to help the user with that task?
# make automatic association from the sheet IDs, and not from some other data written by the students. I think this should require some little work on 
AMC code.

04/15/2012 08:19 pm - Alexis Bienvenüe
- Target version set to 1.2.0

06/03/2012 09:50 pm - Alexis Bienvenüe
- File ensemble.tex added

- File students.csv added

See attached files as an example with AMC from revision r1098.
The LaTeX package @csvsimple@ is used to make the sheets (@\csvreader@ calls for each student the command @\subject@ that produces one 
copy).
The students list is UTF8 encoded, so @\usepackage[utf8]{inputenc}@ is called.
After data capture and marking, use automatic association with "Pre-association" setting for "Code name for automatic association".

06/03/2012 10:34 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> See attached files as an example with AMC from revision r1098.
> The LaTeX package @csvsimple@ is used to make the sheets (@\csvreader@ calls for each student the command @\subject@ that produces one 
copy).
> The students list is UTF8 encoded, so @\usepackage[utf8]{inputenc}@ is called.
> After data capture and marking, use automatic association with "Pre-association" setting for "Code name for automatic association".

It compiles correctly.

I even substituted the student ids with the kind we use (7 digits as in 2123456).
I did a full run on your example exam and it works as advertised.
One more wish would be to add the student number (the id in your files) onto the question and answer sheet.
On the exam sheet because then we can check that no exam leaves the room unnoticed , on the exam as extra check.
Of course this can all be easily done once you (the exam author and form designer) knows what \AMC command stores this information from the csv 
file.

Anyway, a big thanks again.

06/03/2012 10:43 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> Alexis Bienvenüe wrote:
> > See attached files as an example with AMC from revision r1098.
> > The LaTeX package @csvsimple@ is used to make the sheets (@\csvreader@ calls for each student the command @\subject@ that produces one 
copy).
> > The students list is UTF8 encoded, so @\usepackage[utf8]{inputenc}@ is called.
> > After data capture and marking, use automatic association with "Pre-association" setting for "Code name for automatic association".
> 
> It compiles correctly.
> 
> I even substituted the student ids with the kind we use (7 digits as in 2123456).
> I did a full run on your example exam and it works as advertised.
> One more wish would be to add the student number (the id in your files) onto the question and answer sheet.
> On the exam sheet because then we can check that no exam leaves the room unnoticed , on the exam as extra check.
> Of course this can all be easily done once you (the exam author and form designer) knows what \AMC command stores this information from the csv 
file.
> 
> Anyway, a big thanks again.

Adding id and name to form and exams is easy.
Add  the \id and \cfoot[\surname,\name{} (\id)]{\surname,\name{} (\id)} to the \subject macro and it will produce just the right thing.

06/03/2012 10:46 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> Pieter  Van den Hombergh wrote:
> > Alexis Bienvenüe wrote:
> > > See attached files as an example with AMC from revision r1098.
> > > The LaTeX package @csvsimple@ is used to make the sheets (@\csvreader@ calls for each student the command @\subject@ that produces 
one copy).
> > > The students list is UTF8 encoded, so @\usepackage[utf8]{inputenc}@ is called.
> > > After data capture and marking, use automatic association with "Pre-association" setting for "Code name for automatic association".
> > 
> > It compiles correctly.
> > 
> > I even substituted the student ids with the kind we use (7 digits as in 2123456).
> > I did a full run on your example exam and it works as advertised.
> > One more wish would be to add the student number (the id in your files) onto the question and answer sheet.
> > On the exam sheet because then we can check that no exam leaves the room unnoticed , on the exam as extra check.
> > Of course this can all be easily done once you (the exam author and form designer) knows what \AMC command stores this information from the 
csv file.
> > 
> > Anyway, a big thanks again.
> 
> Adding id and name to form and exams is easy.
> Add  the \id and \cfoot[\surname,\name{} (\id)]{\surname,\name{} (\id)} to the \subject macro and it will produce just the right thing.

I use exams in two languages (Dutch and German) and read the students language from a csv file. Once I know how to integrate that, I'll let you know.

06/04/2012 09:55 am - Alexis Bienvenüe
> Add the @\id@ and @\cfoot[\surname,\name{} (\id)]{\surname,\name{} (\id)}@ to the @\subject@ macro and it will produce just the right thing.
Yes, you got it. Thanks to the @\csvreader@ command, the commands like @\surname@ (the names are the CSV file headers) are defined with their 
contents taken from the CSV file columns.

> I use exams in two languages (Dutch and German) and read the students language from a csv file.

Maybe you can use something like
<pre>
\csvreader[head to column names]{students.csv}{}{\csname subject\lang\endcsname}
</pre>

and two @\subjectDE@ and @\subjectNL@ commands (if the content of the @lang@ column from the CSV file is either @DE@ or @NL@).

06/04/2012 04:14 pm - Pieter  Van den Hombergh
- File output.pdf added

- File processExams.tex added

- File setlang.sty added

- File shortopen.tex added

Alexis Bienvenüe wrote:
> > Add the @\id@ and @\cfoot[\surname,\name{} (\id)]{\surname,\name{} (\id)}@ to the @\subject@ macro and it will produce just the right thing.
> Yes, you got it. Thanks to the @\csvreader@ command, the commands like @\surname@ (the names are the CSV file headers) are defined with 
their contents taken from the CSV file columns.
> 
> > I use exams in two languages (Dutch and German) and read the students language from a csv file.
> 
> Maybe you can use something like
> [...]
> 
> and two @\subjectDE@ and @\subjectNL@ commands (if the content of the @lang@ column from the CSV file is either @DE@ or @NL@).

Works like a charm.

In one of my exams I use mc and open questions with a separate answer form, 60 questions in total.
Using the hand-encoded way with \AMCcode took a lot of space on the page and I definitively wanted only one page per student to scan.
This is now solved, since the new association take almost no space on the page (depending of course on the character size ;-)).

The whole logic of my exam production now  three small files.
The pdf version of the answer sheet is also attached.
I try to keep things 'dry' as in minimal work to produce a next exam.

12/21/2012 03:52 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
ensemble.tex 1.8 kB 06/03/2012 Alexis Bienvenüe
students.csv 75 Bytes 06/03/2012 Alexis Bienvenüe
output.pdf 73.2 kB 06/04/2012 Pieter  Van den Hombergh
processExams.tex 328 Bytes 06/04/2012 Pieter  Van den Hombergh
setlang.sty 1.2 kB 06/04/2012 Pieter  Van den Hombergh
shortopen.tex 560 Bytes 06/04/2012 Pieter  Van den Hombergh
